# $Revision: 1.15 $, $Date: 2011/12/10 17:29:42 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Class
%define		pnam	MOP
%include	/usr/lib/rpm/macros.perl
Summary:	Class::MOP - A Meta Object Protocol for Perl 5
Summary(pl.UTF-8):	Class::MOP - protokół metaobiektów (Meta Object Protocol) dla Perla 5
Name:		perl-Class-MOP
Version:	1.12
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/FLORA/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	685edbc1f388362f48ec67701b67acf6
URL:		http://search.cpan.org/dist/Class-MOP/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Algorithm-C3
BuildRequires:	perl-Data-OptList
BuildRequires:	perl-Devel-GlobalDestruction
BuildRequires:	perl-List-MoreUtils >= 0.12
BuildRequires:	perl-MRO-Compat >= 0.05
BuildRequires:	perl-Module-Info
BuildRequires:	perl-Package-DeprecationManager >= 0.10
BuildRequires:	perl-Package-Stash >= 0.13
BuildRequires:	perl-Scalar-List-Utils >= 1.18
BuildRequires:	perl-Sub-Name >= 0.04
BuildRequires:	perl-Task-Weaken
BuildRequires:	perl-Test-Exception >= 0.21
BuildRequires:	perl-Test-Fatal >= 0.001
BuildRequires:	perl-Test-LeakTrace
BuildRequires:	perl-Test-NoTabs
BuildRequires:	perl-Test-Output
BuildRequires:	perl-Test-Requires >= 0.05
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Test-Spelling
BuildRequires:	perl-Try-Tiny
%endif
Requires:	perl-Scalar-List-Utils >= 1.18
Requires:	perl-Sub-Identify >= 0.03
Requires:	perl-Sub-Name >= 0.02
Conflicts:	perl-Moose < 0:0.72
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::MOP is a fully functioning meta object protocol for the Perl 5
object system. It makes no attempt to change the behavior or
characteristics of the Perl 5 object system, only to create a protocol
for its manipulation and introspection.

That said, it does attempt to create the tools for building a rich set
of extensions to the Perl 5 object system. Every attempt has been made
for these tools to keep to the spirit of the Perl 5 object system that
we all know and love.

%description -l pl.UTF-8
Class::MOP to w pełni funkcjonalny protokół metaobiektów dla systemu
obiektowego Perla 5. Nie próbuje zmieniać zachowania czy
charakterystyki systemu obiektowego Perla 5, a jedynie tworzy protokół
do własnych operacji i obserwacji.

Oznacza to, że klasa ta nie tworzy narzędzi do budowania bogatego
zbioru rozszerzeń do systemu obiektowego Perla 5 - dołożono wszelkich
starań, aby utrzymać te narzędzia w duchu znanego i lubianego systemu
obiektowego Perla 5.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/metaclass.pm
%{perl_vendorarch}/Class/MOP.pm
%{perl_vendorarch}/Class/MOP
%dir %{perl_vendorarch}/auto/Class/MOP
%{perl_vendorarch}/auto/Class/MOP/MOP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Class/MOP/MOP.so
%{_mandir}/man3/Class::MOP*.3pm*
%{_mandir}/man3/metaclass.3pm*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-MOP.spec,v $
Revision 1.15  2011/12/10 17:29:42  glen
- release 3

Revision 1.14  2011/10/04 13:49:30  lisu
- rel 2

Revision 1.13  2011/03/02 18:34:11  qboosh
- updated to 1.12

Revision 1.12  2010/06/06 08:31:54  arekm
- release 2

Revision 1.11  2010/02/22 14:20:09  sparky
- tests BR: perl-Try-Tiny

Revision 1.10  2010/02/22 09:45:20  radek
- version 0.98

Revision 1.9  2009/10/16 11:44:57  amateja
- updated to 0.94

Revision 1.8  2009/08/21 11:52:42  amateja
- Source0: url changed

Revision 1.7  2009/08/21 10:46:08  amateja
- updated to 0.92

Revision 1.6  2009/06/15 13:41:04  amateja
- updated to 0.85

Revision 1.5  2009/03/01 20:33:47  radek
- version 0.78

Revision 1.4  2009/02/01 12:43:54  radek
- version 0.76

Revision 1.3  2008/07/20 12:12:19  qboosh
- updated to 0.63

Revision 1.2  2008/07/20 11:20:11  qboosh
- pl

Revision 1.1  2008/05/01 17:13:29  radek
- new
